Package com.collabnet.ce.soap60.webservices.scm

# Class ExternalSystem2SoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.scm.ExternalSystem2SoapRow

public class ExternalSystem2SoapRow extends Object
A list of valid external systems.

Since:
  18.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalSystem2SoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdapterCategory()`
  Returns 'adapterCategory'.
  `String`
  `getAdapterName()`
  Returns 'adapterName'.
  `String`
  `getDescription()`
  Returns 'description'.
  `boolean`
  `getFrozen()`
  Returns 'frozen'.
  `String`
  `getId()`
  Returns 'id'.
  `String`
  `getRepositoryNamePrefix()`
  Returns 'repositoryNamePrefix'.
  `boolean`
  `getRequiresApproval()`
  Returns 'requiresApproval'.
  `String`
  `getTitle()`
  Returns 'title'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setAdapterCategory(String adapterCategory)`
  Sets 'adapterCategory'.
  `void`
  `setAdapterName(String adapterName)`
  Sets 'adapterName'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setFrozen(boolean frozen)`
  Sets 'frozen'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setRepositoryNamePrefix(String repositoryNamePrefix)`
  Sets 'repositoryNamePrefix'.
  `void`
  `setRequiresApproval(boolean requiresApproval)`
  Sets 'requiresApproval'.
  `void`
  `setTitle(String title)`
  Sets 'title'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExternalSystem2SoapRow

    public ExternalSystem2SoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'. Id of the external system
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'. Id of the external system
    Parameters:
      `id` - Value of 'id'.

  - ### getTitle

    public String getTitle()
    Returns 'title'. The title of the external system
    Returns:
      Value of 'title'.

  - ### setTitle

    public void setTitle(String title)
    Sets 'title'. The title of the external system
    Parameters:
      `title` - Value of 'title'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. The description of the external system
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. The description of the external system
    Parameters:
      `description` - Value of 'description'.

  - ### getAdapterName

    public String getAdapterName()
    Returns 'adapterName'. the name of the adapter of the external system
    Returns:
      Value of 'adapterName'.

  - ### setAdapterName

    public void setAdapterName(String adapterName)
    Sets 'adapterName'. the name of the adapter of the external system
    Parameters:
      `adapterName` - Value of 'adapterName'.

  - ### getAdapterCategory

    public String getAdapterCategory()
    Returns 'adapterCategory'. the category of the adapter of the external system
    Returns:
      Value of 'adapterCategory'.

  - ### setAdapterCategory

    public void setAdapterCategory(String adapterCategory)
    Sets 'adapterCategory'. the category of the adapter of the external system
    Parameters:
      `adapterCategory` - Value of 'adapterCategory'.

  - ### getRequiresApproval

    public boolean getRequiresApproval()
    Returns 'requiresApproval'. It requires approval while creating repository
    Returns:
      Value of 'requiresApproval'.

  - ### setRequiresApproval

    public void setRequiresApproval(boolean requiresApproval)
    Sets 'requiresApproval'. It requires approval while creating repository
    Parameters:
      `requiresApproval` - Value of 'requiresApproval'.

  - ### getFrozen

    public boolean getFrozen()
    Returns 'frozen'. Whether to allow creating new repositories or not
    Returns:
      Value of 'frozen'.

  - ### setFrozen

    public void setFrozen(boolean frozen)
    Sets 'frozen'. Whether to allow creating new repositories or not
    Parameters:
      `frozen` - Value of 'frozen'.

  - ### getRepositoryNamePrefix

    public String getRepositoryNamePrefix()
    Returns 'repositoryNamePrefix'. Prefix to be added to the provided name when a new repository created
    Returns:
      Value of 'repositoryNamePrefix'.

  - ### setRepositoryNamePrefix

    public void setRepositoryNamePrefix(String repositoryNamePrefix)
    Sets 'repositoryNamePrefix'. Prefix to be added to the provided name when a new repository created
    Parameters:
      `repositoryNamePrefix` - Value of 'repositoryNamePrefix'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)